[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TRadioButton.DialogChar

Implements support for an accelerator key in the control.

## Declaration

Source position: stdctrls.pp line 1495

`protected function TRadioButton.DialogChar(`
`var Message: TLMKey`
`):Boolean; override;`

## Arguments

`Message` |  | Message examined for the accelerator key.

## Function result

True when the message is handled and the control is focused and checked.

## Description

DialogChar is an overridden Boolean function in TRadioButton which handles accelerator keys in messages for the control. The return value is set to True when the radio button is successfully toggled in the method.

Message is the TLMKey instance with the key code examined in the method. If the key code matches the accelerator key in Caption, the control is focused, its Checked state is enabled, and the return value is set to True.

If the control cannot be focused, or Message does not represent the accelerator for the control, the inherited method is called to get the return value.

This method is called even if the control is disabled or hidden. Provided for Delphi VCL compatibility.

## See also

TRadioButton.Caption |  | The text displayed for the control.
TRadioButton.Checked |  | Indicates the checked state for the control as a Boolean value.
TCustomCheckBox.DialogChar |  | Implements support for accelerator keys in the control.
IsAccel |  | Determines whether the specified virtual key is used as an accelerator (short cut) in the given caption string.
TWinControl.Focused |  | Checks whether the control has focus.